# Ansible
Dans ce répertoire se situent les *playbooks* Ansible.

## Dossier Wireguard : 
Dans le dossier se trouvent le *playbook* ainsi que les fichiers de configuration.

## Playbook de déploiement des **ap31-prod** et **ap31-test** : 

### apbase.yml :
Ce *playbook* se charge de mettre à jour les paquets, configurer APT pour passer par le proxy, définit une *timezone* correcte, et se charge d'installer les paquets sur les deux machines.

### apdb.yml :
Ce *playbook* se charge d'installer un module crucial sur la machine **ap31-test**, puis créé une base de données vide, un utilisateur avec l'accès total sur la BDD, puis importe le fichier .sql de base pour rendre la BDD utilisable.

### apdbdump.yml :
Ce *playbook* se charge de créer un dump de la BDD avant de l'envoyer sur la machine qui exécute le *playbook* Ansible.
